/* =========================
   КАРТОЧКИ
========================= */

[data-hover="card"]{
    transition: transform .35s ease;
    will-change: transform;
}

[data-hover="card"]:hover{
    transform: translateY(-4px) scale(1.03);
}


/* =========================
   КНОПКИ TILDA
========================= */

[data-hover="button"]{
    transition: scale .3s ease, box-shadow .3s ease;
}

[data-hover="button"]:hover{
    scale: 1.05;
    box-shadow: 0 8px 24px rgba(0,0,0,.15);
}


/* =========================
   ЗАГОЛОВКИ
========================= */

[data-hover="title"]{
    transition: transform .3s ease, color .3s ease;
    display: inline-block;
}

[data-hover="title"]:hover{
    transform: translateY(-2px);
}

/* =========================
   КАРУСЕЛЬ
========================= */

[data-hover="carousel"]{
    transition: transform .35s ease;
    will-change: transform;
}

[data-hover="carousel"]:hover{
    transform: translateY(-4px) scale(1.03);
}

/* =========================
   ГАЛЕРЕЯ TILDA
========================= */

.t-gallery {
    transition: transform .35s ease;
}

.t-gallery:hover {
    transform: translateY(-4px) scale(1.03);
}

[data-hover="gallery"]{
    transition: transform .35s ease;
    will-change: transform;
}

[data-hover="gallery"]:hover{
    transform: translateY(-4px) scale(1.03);
}

/**/

.t-title,
.t-name,
.t-heading {
    transition: transform .3s ease;
}

.t-title:hover,
.t-name:hover,
.t-heading:hover {
    transform: translateY(-2px);
}


[data-hover="overlay"]{
    transition: opacity .35s ease, transform .35s ease;
}

[data-hover="photo"]:hover [data-hover="overlay"]{
    opacity: 0;
    transform: translateY(10px);
}

#cursor-glow{
    position: fixed;
    width: 300px;
    height: 300px;
    border-radius: 50%;
    pointer-events: none;
    z-index: 1;

    background: radial-gradient(
        circle,
        rgba(255,140,0,.18) 0%,
        rgba(255,140,0,.08) 40%,
        rgba(255,140,0,0) 70%
    );

    transform: translate(-50%, -50%);
    filter: blur(40px);
}